=== debian/changelog ===
ros-indigo-light-scan-sim (0.1.0-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Joseph Duchesne <josephgeek@gmail.com>  Mon, 13 Feb 2017 06:34:10 -0000
