=== debian/control ===
Source: ros-indigo-light-scan-sim
Section: misc
Priority: extra
Maintainer: Joseph Duchesne <josephgeek@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, libopencv-dev, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rosunit, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: https://github.com/josephduchesne/light_scan_sim
Standards-Version: 3.9.2

Package: ros-indigo-light-scan-sim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-indigo-map-server, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-visualization-msgs
Description: The light_scan_sim package simulates a laser scan originating from a TF against a costmap.
